GRABSERIAL(1)

NAME
grabserial - Serial line reader

SYNOPSIS
grabserial

DESCRIPTION
Grabserial is a small program which reads a serial port and writes the data to standard output. The main purpose of this tool is to collect messages written to the serial console from a target board running Linux, and save the messages on a host machine.

USAGE

grabserial [options] <config_file>

OPTIONS

-h, --help
     Print this message

-d, --device=<devpath>
     Set the device to read (default '/dev/ttyS0')

-b, --baudrate=<val>
     Set the baudrate (default 115200)

-w, --width=<val>
     Set the data bit width (default 8)

-p, --parity=<val>
     Set the parity (default N)

-s, --stopbits=<val>
     Set the stopbits (default 1)

-x, --xonxoff
     Enable software flow control (default off)

-r, --rtscts
     Enable RTS/CTS flow control (default off)

-f, --force-reset
     Force pyserial to reset device parameters

--endtime=<secs>
     End the program after the specified seconds have elapsed.

--command=<cmd>
     Send a command to the port before reading

-t, --time
     Print time for each line received. The time is
     when the first character of each line is
     received by grabserial

--systime
     Print system time for each line received. The time
     is the absolute local time when the first character
     of each line is received by grabserial

-m, --match=<pat>
     Specify a regular expression pattern to match to
     set a base time. Time values for lines after the
     line matching the pattern will be relative to
     this base time.

-i, --instantpat=<pat>
     Specify a regular expression pattern to have its time
     reported at end of run. Works mid-line.

-q, --quitpat=<pat>
     Specify a regular expression pattern to end the
     program. Works mid-line.

-l, --launchtime
     Set base time from launch of program.

-o, --output=<name>
     Output data to the named file.

-v, --verbose
     Show verbose runtime messages

-V, --version
     Show version number and exit

Example

grabserial -e 30 -t -m ^Linux version.*
    This will grab serial input for 30 seconds, displaying the time for each line, and re-setting the base time when the line starting with "Linux version" is seen.

AUTHOR
This manual page was written by Nobuhiro Iwamatsu <iwamatsu@debian.org>, for the Debian GNU/Linux system (but may be used by others).